<?php
// admin/sites.php
$pageTitle = 'Manage Sites';
$pageButtons = '<a href="site-edit.php" class="btn btn-primary"><i class="fas fa-plus"></i> Create New Site</a>';

// Include layout first to check authentication
$contentTemplate = 'templates/sites-list.php';

// Get sites list
$stmt = $db->prepare("
    SELECT id, domain, title, active, ssl_enabled, cloudflare_enabled, 
           created_at, updated_at 
    FROM sites 
    ORDER BY created_at DESC
");
$stmt->execute();
$sites = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Include layout
include 'templates/layout.php';
?>