<?php
// Включаем отображение ошибок
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Выводим информацию о PHP
echo "<h1>PHP Test</h1>";
echo "<p>PHP version: " . phpversion() . "</p>";

// Проверяем доступ к директориям
echo "<h2>Directory Access:</h2>";
$directories = [
    '/var/www/www-root/data/www/pbnstat.ru/',
    '/var/www/www-root/data/www/pbnstat.ru/pbns2/',
    '/var/www/www-root/data/www/pbnstat.ru/pbns2/admin/',
    '/var/www/www-root/data/www/pbnstat.ru/pbns2/config/',
    '/var/www/www-root/data/www/pbnstat.ru/pbns2/includes/'
];

foreach ($directories as $dir) {
    echo "<p>$dir: " . (is_readable($dir) ? "Readable" : "Not readable") . "</p>";
}

// Проверяем расширения PHP
echo "<h2>PHP Extensions:</h2>";
$required_extensions = ['pdo', 'pdo_mysql', 'json', 'curl', 'zip', 'gd'];
foreach ($required_extensions as $ext) {
    echo "<p>$ext: " . (extension_loaded($ext) ? "Loaded" : "Not loaded") . "</p>";
}