<?php
// Файл /var/www/www-root/data/www/pbnstat.ru/pbns2/admin/logout.php
// Стартуем сессию
session_start();

// Удаляем все данные сессии
$_SESSION = [];

// Удаляем куки сессии
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"],
        $params["secure"], $params["httponly"]
    );
}

// Уничтожаем сессию
session_destroy();

// Перенаправляем на страницу входа
header('Location: login.php');
exit;