<?php
// config/config.php
// Database Configuration
define('DB_HOST', 'localhost');
define('DB_NAME', 'multisite2');
define('DB_USER', 'multisite2');
define('DB_PASS', 'gR1iA1aE9m');
// Paths
define('BASE_PATH', '/var/www/www-root/data/www/pbnstat.ru');
define('ADMIN_PATH', BASE_PATH . '/pbns2/admin'); // Исправлено с /pbns/ на /pbns2/
define('SITES_BASE_PATH', BASE_PATH . '/pbns2/sites'); // Исправлено с /sites на /pbns2/sites
define('TEMPLATES_PATH', BASE_PATH . '/pbns2/templates'); // Исправлено с /pbns/ на /pbns2/
define('BACKUP_PATH', BASE_PATH . '/pbns2/backups'); // Исправлено с /pbns/ на /pbns2/
// Server Configuration
define('SERVER_IP', '123.123.123.123');
define('SERVER_NAME', 'PBN Main Server');
// CloudFlare API
define('CLOUDFLARE_API_TOKEN', 'your_cloudflare_api_token');
define('CLOUDFLARE_API_EMAIL', 'your_email@example.com');
// Security
define('SESSION_LIFETIME', 86400); // 24 hours
define('ADMIN_EMAIL', 'admin@example.com');
// Logging
define('LOG_ENABLED', true);
define('LOG_LEVEL', 'info'); // debug, info, warning, error
// Version
define('PBN_ADMIN_VERSION', '1.0.0');
// Initialization
ini_set('display_errors', 0);
error_reporting(E_ALL);

// Проверяем, не запущена ли уже сессия
if (session_status() == PHP_SESSION_NONE) {
    // Set session parameters
    ini_set('session.cookie_httponly', 1);
    ini_set('session.use_only_cookies', 1);
    ini_set('session.cookie_secure', 1);
    ini_set('session.gc_maxlifetime', SESSION_LIFETIME);
    session_set_cookie_params(SESSION_LIFETIME);
}

// Error handling
function pbn_error_handler($errno, $errstr, $errfile, $errline) {
    if (!(error_reporting() & $errno)) {
        return false;
    }
    
    $error_message = "Error [$errno] $errstr in $errfile on line $errline";
    
    if (LOG_ENABLED) {
        error_log($error_message);
    }
    
    if (ini_get('display_errors')) {
        echo "<div style='color:red;'>$error_message</div>";
    }
    
    return true;
}
set_error_handler('pbn_error_handler');
// Helper functions
function redirect($url) {
    header("Location: $url");
    exit;
}
function add_notification($message, $type = 'info') {
    if (session_status() !== PHP_SESSION_ACTIVE) {
        session_start();
    }
    
    $_SESSION['notifications'][] = [
        'message' => $message,
        'type' => $type
    ];
}
function get_db_connection() {
    try {
        $db = new PDO(
            "mysql:host=" . DB_HOST . ";dbname=" . DB_NAME,
            DB_USER,
            DB_PASS,
            array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION)
        );
        return $db;
    } catch(PDOException $e) {
        die("Database connection failed: " . $e->getMessage());
    }
}